Bug 1487420 - Review Request: python-django16 - A high-level Python Web framework
Summary: Review Request: python-django16 - A high-level Python Web framework
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1432365
TreeView+ depends on / blocked
 
Reported: 2017-08-31 21:10 UTC by Stephen Gallagher
Modified: 2017-12-09 03:28 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-09 03:28:24 UTC
projects.rg: fedora-review+


Attachments (Terms of Use)

Description Stephen Gallagher 2017-08-31 21:10:06 UTC
Spec URL: https://sgallagh.fedorapeople.org/packagereview/python-django16/python-django.spec
SRPM URL: https://sgallagh.fedorapeople.org/packagereview/python-django16/python-django16-1.6.11.6-2.el7.src.rpm
Description: 
Django is a high-level Python Web framework that encourages rapid
development and a clean, pragmatic design. It focuses on automating as
much as possible and adhering to the DRY (Don't Repeat Yourself)
principle. This compatibility version exists solely to support
Review Board. It is recommended not to use it for other purposes.

Fedora Account System Username: sgallagh

Comment 1 Stephen Gallagher 2017-08-31 21:12:38 UTC
COPR: https://copr.fedorainfracloud.org/coprs/sgallagh/Django16/

This package will be used to build Review Board and should not be used by any other package. I have intentionally suppressed the building of docs and bash completion for this version of the package.

This is *not* an abandoned upstream; the Review Board upstream has taken over security maintenance of Django 1.6.

Comment 2 Raphael Groner 2017-09-02 17:27:59 UTC
This compatibility package might be useful for webvirtmgr, see bug #1380179.

Comment 3 Raphael Groner 2017-09-22 10:20:32 UTC
Stephen, just to be fully clear: Do you really think this compatibility package is useful in Fedora?
As Matthias states in bug #1432365, there'll be a completely second package dependency branch to maintain.

Comment 4 Raphael Groner 2017-09-22 10:46:13 UTC
Note2self: Review swap with bug #1462467.

Comment 5 Stephen Gallagher 2017-09-22 11:14:49 UTC
As stated in the description, this package is here solely for supporting ReviewBoard. I’m not going to go to any particular effort to support any other use-case for it.

If someone else has a use-case, I’ll happily accept them as a comaintainer to keep an eye on not breaking their package.

Mostly this is here because we want to upgrade the main python-Django package in EPEL to something that is supported by upstream and. Right now it’s trapped at this version.

Comment 6 Raphael Groner 2017-09-23 16:43:07 UTC
First of all, some general advices:

- Drop Group tag, it's obsolete.

- Replace all occurences of 'Django' with %{pkgname}, why else define a macro?

- Why no support for python3?
  https://fedoraproject.org/wiki/Packaging:Python

- There seems to be a conflict with the virtual provides compared to
  python-django package. Would an update remove python-django16 in case there's
  a newer version of python-django itself? Please try to avoid any conflict.
  https://fedoraproject.org/wiki/Packaging:Conflicts

- Can the tests get fixed? Did upstream get poked when version 1.6 was latest?

- Use '%license COPYING'.
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE-JQUERY.txt is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- Spec file name must match the spec package %{name}, in the format
  %{name}.spec.
  Note: python-django.spec should be python-django16.spec
  See:
  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Spec_file_name


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
=> Can not validate, see above.

[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
[!]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[?]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[?]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[?]: Python eggs must not download any dependencies during the build
     process.
=> Can not validate, see above.

[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[?]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[-]: Latest version is packaged.
=> This is a compatibility package.

[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
=> Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=22047262

[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Bad spec filename: /home/builder/fedora-review/1487420-python-
     django/srpm-unpacked/python-django.spec
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-django16-1.6.11.6-2.fc28.noarch.rpm
          python-django16-1.6.11.6-2.fc28.src.rpm
python-django16.noarch: W: incoherent-version-in-changelog 1.6.11.6-1 ['1.6.11.6-2.fc28', '1.6.11.6-2']
python-django16.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/bin/daily_cleanup.py /usr/bin/env python
python-django16.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/bin/django-2to3.py /usr/bin/env python
python-django16.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/bin/django-admin.py /usr/bin/env python
python-django16.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/bin/profiling/gather_profile_stats.py /usr/bin/env python
python-django16.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/bin/profiling/gather_profile_stats.py 644 /usr/bin/env python
python-django16.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/bin/unique-messages.py /usr/bin/env python
python-django16.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/conf/project_template/manage.py /usr/bin/env python
python-django16.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/contrib/admin/bin/compress.py /usr/bin/env python
python-django16.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/contrib/admin/bin/compress.py 644 /usr/bin/env python
python-django16.src: W: spelling-error %description -l en_US Django -> Fandango
python-django16.src: E: invalid-spec-name
2 packages and 0 specfiles checked; 10 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python-django16.noarch: W: spelling-error Summary(en_US) high -> highly
python-django16.noarch: W: spelling-error Summary(en_US) level -> eviller
python-django16.noarch: W: spelling-error Summary(en_US) framework -> mainframe
python-django16.noarch: W: spelling-error %description -l en_US a -> h, N, T
python-django16.noarch: W: spelling-error %description -l en_US high -> highly
python-django16.noarch: W: spelling-error %description -l en_US level -> eviller
python-django16.noarch: W: spelling-error %description -l en_US framework -> mainframe
python-django16.noarch: W: spelling-error %description -l en_US that -> hat, path
python-django16.noarch: W: spelling-error %description -l en_US encourages 
python-django16.noarch: W: spelling-error %description -l en_US rapid -> raped
python-django16.noarch: W: spelling-error %description -l en_US development 
python-django16.noarch: W: spelling-error %description -l en_US and -> handle
python-django16.noarch: W: spelling-error %description -l en_US pragmatic 
python-django16.noarch: W: spelling-error %description -l en_US design -> demigod
python-django16.noarch: W: spelling-error %description -l en_US It -> Bit, Kit, Ii
python-django16.noarch: W: spelling-error %description -l en_US focuses -> confusers
python-django16.noarch: W: spelling-error %description -l en_US on -> con, won, op
python-django16.noarch: W: spelling-error %description -l en_US automating -> inflating
python-django16.noarch: W: spelling-error %description -l en_US as -> gas, Cs, Ks
python-django16.noarch: W: spelling-error %description -l en_US much -> munch
python-django16.noarch: W: spelling-error %description -l en_US possible -> fossil
python-django16.noarch: W: spelling-error %description -l en_US adhering -> hammering
python-django16.noarch: W: spelling-error %description -l en_US to -> toy
python-django16.noarch: W: spelling-error %description -l en_US the -> tee, theory
python-django16.noarch: W: spelling-error %description -l en_US principle -> crippleware
python-django16.noarch: W: spelling-error %description -l en_US This -> Thuds
python-django16.noarch: W: spelling-error %description -l en_US version -> recursion
python-django16.noarch: W: spelling-error %description -l en_US exists -> chemists
python-django16.noarch: W: spelling-error %description -l en_US solely -> console
python-django16.noarch: W: spelling-error %description -l en_US recommended 
python-django16.noarch: W: spelling-error %description -l en_US not -> bot, notwork
python-django16.noarch: W: spelling-error %description -l en_US use -> user
python-django16.noarch: W: spelling-error %description -l en_US for -> fora, foo
python-django16.noarch: W: spelling-error %description -l en_US other -> theory
python-django16.noarch: W: spelling-error %description -l en_US purposes -> posers
python-django16.noarch: W: incoherent-version-in-changelog 1.6.11.6-1 ['1.6.11.6-2.fc28', '1.6.11.6-2']
python-django16.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/bin/daily_cleanup.py /usr/bin/env python
python-django16.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/bin/django-2to3.py /usr/bin/env python
python-django16.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/bin/django-admin.py /usr/bin/env python
python-django16.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/bin/profiling/gather_profile_stats.py /usr/bin/env python
python-django16.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/bin/profiling/gather_profile_stats.py 644 /usr/bin/env python
python-django16.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/bin/unique-messages.py /usr/bin/env python
python-django16.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/conf/project_template/manage.py /usr/bin/env python
python-django16.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/contrib/admin/bin/compress.py /usr/bin/env python
python-django16.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/Django-1.6.11.6-py2.7.egg/django/contrib/admin/bin/compress.py 644 /usr/bin/env python
1 packages and 0 specfiles checked; 9 errors, 36 warnings.



Requires
--------
python-django16 (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python2
    python(abi)



Provides
--------
python-django16:
    Django
    django
    python-django16
    python2.7dist(django)
    python2dist(django)



Source checksums
----------------
https://downloads.reviewboard.org/releases/Django/1.6/Django-1.6.11.6.tar.gz :
  CHECKSUM(SHA256) this package     : d46de3e9e7f8a8567cae95e5a23b678630e734b29b993160119e9ec5e308dc9d
  CHECKSUM(SHA256) upstream package : d46de3e9e7f8a8567cae95e5a23b678630e734b29b993160119e9ec5e308dc9d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1487420
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL

Comment 7 Stephen Gallagher 2017-09-27 12:50:19 UTC
(In reply to Raphael Groner from comment #6)
> First of all, some general advices:
> 
> - Drop Group tag, it's obsolete.
> 
> - Replace all occurences of 'Django' with %{pkgname}, why else define a
> macro?

I'll do this.

> 
> - Why no support for python3?
>   https://fedoraproject.org/wiki/Packaging:Python
> 

The purpose of this package is for support of Review Board, which is python2 only. I'm trying to make it very clear that I do not intend to maintain other uses of this package (though I'm open to a comaintainer if they want to maintain other use-cases).

> - There seems to be a conflict with the virtual provides compared to
>   python-django package. Would an update remove python-django16 in case
> there's
>   a newer version of python-django itself? Please try to avoid any conflict.
>   https://fedoraproject.org/wiki/Packaging:Conflicts
> 

It *shouldn't*, but as there's probably no reason to have those virtual provides in this compat package, I'll drop them.

> - Can the tests get fixed? Did upstream get poked when version 1.6 was
> latest?

Upstream never fixed them and I don't see that changing at this point, since it's in security-maintenance-only mode.

> 
> - Use '%license COPYING'.
>   https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
> 

Whoops! Missed that. Thanks.

> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> - Package uses either %{buildroot} or $RPM_BUILD_ROOT
>   Note: Using both %{buildroot} and $RPM_BUILD_ROOT

I will correct this.

>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
> - If (and only if) the source package includes the text of the license(s)
>   in its own file, then that file, containing the text of the license(s)
>   for the package is included in %license.
>   Note: License file LICENSE-JQUERY.txt is not marked as %license
>   See:
>   http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

I will add this.

> - Spec file name must match the spec package %{name}, in the format
>   %{name}.spec.
>   Note: python-django.spec should be python-django16.spec
>   See:
>   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Spec_file_name
> 

I will fix it.

Comment 10 Raphael Groner 2017-10-16 18:45:38 UTC
Thanks for the fixes and your comments in IRC.
APPROVED

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Binary eggs must be removed in %prep
  Note: Binary egg files not removed in %prep:
  ./tests/app_loading/eggs/brokenapp.egg
  ./tests/app_loading/eggs/modelapp.egg
  ./tests/app_loading/eggs/nomodelapp.egg
  ./tests/app_loading/eggs/omelet.egg
  ./tests/template_tests/eggs/tagsegg.egg
  ./tests/utils_tests/eggs/test_egg.egg
  See:
  http://fedoraproject.org/wiki/Packaging:Python#Packaging_eggs_and_setuptools_concerns
=> Ignore, tests folder is unused for binary packages.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "MIT/X11 (BSD like)",
     "PSF (v2)", "*No copyright* BSD (unspecified)", "BSD (3 clause)". 4497
     files have unknown license. Detailed output of licensecheck in
     /home/builder/fedora-review/1487420-python-django16/licensecheck.txt
=> In assumption, BSD generally is considered okay for also all the other
   python-django* packages.

[x]: Package contains no bundled libraries without FPC exception.
=> Okay, there are known issues with jquery, so to be considered a copylib.

[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

-snip, see below-

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-django16-1.6.11.6-4.fc28.noarch.rpm
          python-django16-1.6.11.6-4.fc28.src.rpm
python-django16.noarch: W: spelling-error %description -l en_US Django -> Fandango
python-django16.src: W: spelling-error %description -l en_US Django -> Fandango
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python-django16.noarch: W: spelling-error %description -l en_US Django -> Fandango
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/builder/fedora-review/1487420-python-django16/srpm/python-django16.spec	2017-10-16 19:15:11.625302862 +0200
+++ /home/builder/fedora-review/1487420-python-django16/srpm-unpacked/python-django16.spec	2017-10-12 14:54:30.000000000 +0200
@@ -85,4 +85,5 @@
 chmod a+x %{buildroot}/%{python2_sitelib}/%{pkgname}-%{version}-py%{python2_version}.egg/django/contrib/admin/bin/compress.py
 
+
 # Replace shebangs in executable scripts
 find %{buildroot} -type f -executable -exec sed -i '1s=^#!/usr/bin/\(python\|env python\)[23]\?=#!%{__python2}=' {} +


Requires
--------
python-django16 (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)



Provides
--------
python-django16:
    python-django16
    python2.7dist(django)
    python2dist(django)



Source checksums
----------------
https://downloads.reviewboard.org/releases/Django/1.6/Django-1.6.11.6.tar.gz :
  CHECKSUM(SHA256) this package     : d46de3e9e7f8a8567cae95e5a23b678630e734b29b993160119e9ec5e308dc9d
  CHECKSUM(SHA256) upstream package : d46de3e9e7f8a8567cae95e5a23b678630e734b29b993160119e9ec5e308dc9d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1487420
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 11 Gwyn Ciesla 2017-10-16 21:22:03 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-django16

Comment 12 Fedora Update System 2017-10-19 19:47:16 UTC
ReviewBoard-2.5.14-2.el7, python-django-pipeline-1.3.27-1.el7, python-django16-1.6.11.6-6.el7, python-djblets-0.9.9-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-40b69d00b9

Comment 13 Tuomo Soini 2017-10-25 10:00:33 UTC
python-djbleets-0.9.9-2.el7 FTBFS if python-django-pipeline-1.3.27-1.el7 is in build root. Please fix this update. Update build was errorously done against older python-django-pipeline-1.3.24-1.el7.

Comment 14 Fedora Update System 2017-10-25 13:46:49 UTC
ReviewBoard-2.5.14-2.el7 python-django-pipeline-1.3.27-1.el7 python-django16-1.6.11.6-6.el7 python-djblets-0.9.9-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-40b69d00b9

Comment 15 Tuomo Soini 2017-10-25 14:27:04 UTC
So now you released broken update set?

Comment 16 Stephen Gallagher 2017-10-25 14:31:04 UTC
(In reply to Tuomo Soini from comment #15)
> So now you released broken update set?

What are you talking about? I just submitted an update that should fix the issue you reported. It's being prepped for updates-testing. Those message above are automatic to let people know that the Bodhi update has been modified.

Comment 17 Tuomo Soini 2017-10-25 14:44:42 UTC
Sorry, didn't notice update to python-djblets - quite a hack but seem to work.

Comment 18 Stephen Gallagher 2017-10-25 18:19:34 UTC
Unfortunately, no other way to do it because those scripts don't use setuptools. They're also not needed on the installed system, so I figured the hack was the easiest solution.

Comment 19 Fedora Update System 2017-10-26 14:08:18 UTC
ReviewBoard-2.5.14-2.el7, python-django-pipeline-1.3.27-1.el7, python-django16-1.6.11.6-6.el7, python-djblets-0.9.9-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-40b69d00b9

Comment 20 Raphael Groner 2017-11-30 08:31:25 UTC
> You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-40b69d00b9

This update has reached 14 days in testing and can be pushed to stable now if the maintainer wishes (20 days ago)

- Why do you not push?

Comment 21 Stephen Gallagher 2017-11-30 10:42:00 UTC
I was on PTO last week and missed the notification.

Comment 22 Fedora Update System 2017-11-30 10:48:18 UTC
python-django-pipeline-1.3.27-1.el7 python-django16-1.6.11.6-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-40b69d00b9

Comment 23 Stephen Gallagher 2017-11-30 10:50:17 UTC
Scratch that, I see what went wrong. I couldn't push it because a newer version of Review board went out in the meantime. I probably didn't see the error.

Raphael, mind just giving it some karma so the fixed build goes stable? It was reset when I dropped the unneeded packages.

Comment 24 Fedora Update System 2017-12-02 21:47:02 UTC
python-django-pipeline-1.3.27-1.el7, python-django16-1.6.11.6-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-40b69d00b9

Comment 25 Fedora Update System 2017-12-09 03:28:24 UTC
python-django-pipeline-1.3.27-1.el7, python-django16-1.6.11.6-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.